Class TransitionBehavior

Declaration :

- C++ : class TransitionBehavior
- Java : class TransitionBehavior

Artifact : TransitionBehavior

Attribut trigger

Declaration :

- Uml : + trigger : string
- C++ : public: QCString trigger
- Java : public String trigger

Attribut guard

Declaration :

- Uml : + guard : string
- C++ : public: QCString guard
- Java : public String guard

Attribut activity

Declaration :

- Uml : + activity : string
- C++ : public: QCString activity
- Java : public String activity

Operation read

Declaration :

- Uml : + read() : void
- C++ : public: void read()
- Java : public void read()

Operation unload

Declaration :

- Uml : + unload() : void
- C++ : public: void unload()

All public operations : read , unload